Skip to main content
PUT
/
feed
curl \
-H "Authorization: Bearer API_KEY" \
-H 'Content-Type: application/json' \
-d '{"id": "4HZhptaD5", "useFirstImage": true, "autoHashtag": true}' \
-X PUT https://api.ayrshare.com/api/feed
{
  "status": "success",
  "id": "vVYX3cgJ7"
}

Documentation Index

Fetch the complete documentation index at: https://ayrshare.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Available on plan.

Header Parameters

Authorization
string
required
API Key of the Primary Profile.

Format: Authorization: Bearer API_KEY
Profile-Key
string
Profile Key of a User Profile.

Format: Profile-Key: PROFILE_KEY

Body Parameters

id
string
required
The RSS feed id returned from the RSS feed POST endpoint.
useFirstImage
boolean
Attempt to get the first or top image in the article and add it to the post.
autoHashtag
boolean
Automatically add up to 3 hashtags to the post text based on the most relevant keywords.
curl \
-H "Authorization: Bearer API_KEY" \
-H 'Content-Type: application/json' \
-d '{"id": "4HZhptaD5", "useFirstImage": true, "autoHashtag": true}' \
-X PUT https://api.ayrshare.com/api/feed
{
  "status": "success",
  "id": "vVYX3cgJ7"
}